- [HTTP request](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/getPropertyQuotasSnapshot#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/getPropertyQuotasSnapshot#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/getPropertyQuotasSnapshot#body.request_body)
- [Response body](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/getPropertyQuotasSnapshot#body.response_body)
  - [JSON representation](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/getPropertyQuotasSnapshot#body.PropertyQuotasSnapshot.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/getPropertyQuotasSnapshot#body.aspect)
- [Try it!](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/getPropertyQuotasSnapshot#try-it)

Get all property quotas organized by quota category for a given property. This will charge 1 property quota from the category with the most quota.

### HTTP request

`GET https://analyticsdata.googleapis.com/v1alpha/{name=properties/*/propertyQuotasSnapshot}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Quotas from this property will be listed in the response. Format: `properties/{property}/propertyQuotasSnapshot` |

### Request body

The request body must be empty.

### Response body

Current state of all Property Quotas organized by quota category.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "corePropertyQuota": { object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/PropertyQuota`) }, "realtimePropertyQuota": { object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/PropertyQuota`) }, "funnelPropertyQuota": { object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/PropertyQuota`) } } ``` |

| Fields ||
|---|---|
| `name` | `string` Identifier. The property quota snapshot resource name. |
| `corePropertyQuota` | ``object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/PropertyQuota`)`` Property Quota for core property tokens |
| `realtimePropertyQuota` | ``object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/PropertyQuota`)`` Property Quota for realtime property tokens |
| `funnelPropertyQuota` | ``object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/PropertyQuota`)`` Property Quota for funnel property tokens |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/analytics.readonly`
- `https://www.googleapis.com/auth/analytics`